#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iio_triggered_event_setup, "", "");
KSYMTAB_FUNC(iio_triggered_event_cleanup, "", "");

SYMBOL_CRC(iio_triggered_event_setup, 0x0da83c4a, "");
SYMBOL_CRC(iio_triggered_event_cleanup, 0xb35e50f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe91b9587, "iio_device_id" },
	{ 0x10aba341, "iio_alloc_pollfunc" },
	{ 0x4e4f9a71, "iio_dealloc_pollfunc" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

